summaryrefslogtreecommitdiffstats
path: root/jjb/scripts/setup_vpp_ubuntu_docker_test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/scripts/setup_vpp_ubuntu_docker_test.sh')
-rw-r--r--jjb/scripts/setup_vpp_ubuntu_docker_test.sh9
1 files changed, 8 insertions, 1 deletions
diff --git a/jjb/scripts/setup_vpp_ubuntu_docker_test.sh b/jjb/scripts/setup_vpp_ubuntu_docker_test.sh
index 90257f1c0..fe6a0fcbc 100644
--- a/jjb/scripts/setup_vpp_ubuntu_docker_test.sh
+++ b/jjb/scripts/setup_vpp_ubuntu_docker_test.sh
@@ -15,7 +15,14 @@ if ! [ -z ${DOCKER_TEST} ] ; then
# for 4 cores:
# framework.VppTestCase.MIN_REQ_SHM + (num_cores * framework.VppTestCase.SHM_PER_PROCESS)
# 1073741824 == 1024M (1073741824 >> 20)
- sudo mount -o remount /dev/shm -o size=1024M || true
+ MEM=1024M
+ if [[ $(uname -m) == 'aarch64' ]]
+ then
+ # arm build are running with 16 cores, empirical evidence shows
+ # that 2048M is enough
+ MEM=2048M
+ fi
+ sudo mount -o remount /dev/shm -o size=${MEM} || true
echo "/dev/shm remounted"
fi